United StatesChange Country, Oracle Worldwide Web Sites Communities I am a... I want to...
Bug ID: JDK-6837224 libsaproc.so on linux needs version of 6799141
JDK-6837224 : libsaproc.so on linux needs version of 6799141

Details
Type:
Bug
Submit Date:
2009-05-05
Status:
Closed
Updated Date:
2011-03-08
Project Name:
JDK
Resolved Date:
2011-03-08
Component:
hotspot
OS:
solaris_9
Sub-Component:
svc
CPU:
sparc
Priority:
P2
Resolution:
Fixed
Affected Versions:
hs16
Fixed Versions:
hs16 (b03)

Related Reports
Backport:
Backport:
Relates:
Relates:

Sub Tasks

Description
Interesting,  tests work fine on SLES 11.
To reproduce do:
1. ssh vm-v20z-23.sfbay (SLES 11)
  or
  ssh bunt.sfbay (SLES 10.1)

2. cd /net/sqenfs-2.sfbay/export2/results/vm/gtee/JDK7/NIGHTLY/VM/2009-05-02/Comp_Baseline/vm/linux-amd64/server/comp/linux-amd64_server_comp_nsk.sajdi.testlist/ResultDir/name001

3. bash rerun.sh


Actually it reminds old problem we had on Linux (java crashed with SIGFPE)
before jdk and HS started to be compiled with --hash-style=both

Could it be that some of sa-jdi staff is not compiled with -Wl,--hash-style=both flag?
Pls, see "JDK 7 Linux compiler change SWAT" for more details regarding that problem.

                                    

Comments
EVALUATION

libsaproc.so is built by a separate Makefile that doesn't pick up the fix for 6799141, so it needs it's own version.
                                     
2009-05-05
EVALUATION

http://hg.openjdk.java.net/jdk7/hotspot-comp/hotspot/rev/2b25645dab33
                                     
2009-05-05
EVALUATION

Approved for JDK 7 M3 build 3.
                                     
2009-05-07